Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.part
Class PluginTransfer

    java.lang.Object
      org.eclipse.swt.dnd.Transfer
          org.eclipse.swt.dnd.ByteArrayTransfer
              org.eclipse.ui.part.PluginTransfer

public class PluginTransfer
extends ByteArrayTransfer

This class can be used to transfer an instance of `PluginTransferData` between two parts in a workbench in a drop and drop operation.

In every drag and drop operation there is a `DragSource` and a `DropTarget`. When a drag occurs a `Transfer` is used to marshall the drag data from the source into a byte array. If a drop occurs another `Transfer` is used to marshall the byte array into drop data for the target.

A `PluginTransferData` contains the id of a drop action extension. If a drop occurs the extension is invoked to perform a drop action. As a benefit, the destination viewer doesn't need to have any knowledge of the items being dropped into it.

This class can be used for a `Viewer`or an SWT component directly. A singleton is provided which may be serially reused (see `getInstance`). It is not intended to be subclassed.``

See Also:
  `StructuredViewer`, `DropTarget`, `DragSource`

Method Summary
`static PluginTransfer` | `getInstance()` Returns the singleton instance.
`protected int[]` | `getTypeIds()` Returns the platform specfic ids of the data types that can be converted using this transfer agent.
`protected String[]` | `getTypeNames()` Returns the platform specfic names of the data types that can be converted using this transfer agent.
`protected void` | `javaToNative(Object data, TransferData transferData)` This implementation of `javaToNative` converts a java `byte[]` to a platform specific representation.
`protected Object` | `nativeToJava(TransferData transferData)` This implementation of `nativeToJava` converts a platform specific representation of a byte array to a java `byte[]`.

Methods inherited from class org.eclipse.swt.dnd.ByteArrayTransfer
`getSupportedTypes, isSupportedType`

Methods inherited from class org.eclipse.swt.dnd.Transfer
`registerType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static PluginTransfer getInstance()

  Returns the singleton instance.

  Returns:
    the singleton instance

### getTypeIds

    protected int[] getTypeIds()

  Description copied from class: `Transfer`
  Returns the platform specfic ids of the data types that can be converted using this transfer agent.

  Specified by:
    `getTypeIds` in class `Transfer`
  Returns:
    the platform specfic ids of the data types that can be converted using this transfer agent

### getTypeNames

    protected String[] getTypeNames()

  Description copied from class: `Transfer`
  Returns the platform specfic names of the data types that can be converted using this transfer agent.

  Specified by:
    `getTypeNames` in class `Transfer`
  Returns:
    the platform specfic names of the data types that can be converted using this transfer agent.

### javaToNative

    protected void javaToNative(Object data,
                                TransferData transferData)

  Description copied from class: `ByteArrayTransfer`
  This implementation of `javaToNative` converts a java `byte[]` to a platform specific representation. For additional information see `Transfer#javaToNative`.

  Overrides:
    `javaToNative` in class `ByteArrayTransfer`
  Parameters:
    `data` - a java `byte[]` containing the data to be converted
    `transferData` - an empty `TransferData` object; this object will be filled in on return with the platform specific format of the data
  See Also:
    `Transfer.javaToNative(java.lang.Object, org.eclipse.swt.dnd.TransferData)`

### nativeToJava

    protected Object nativeToJava(TransferData transferData)

  Description copied from class: `ByteArrayTransfer`
  This implementation of `nativeToJava` converts a platform specific representation of a byte array to a java `byte[]`. For additional information see `Transfer#nativeToJava`.

  Overrides:
    `nativeToJava` in class `ByteArrayTransfer`
  Parameters:
    `transferData` - the platform specific representation of the data to be been converted
  Returns:
    a java `byte[]` containing the converted data if the conversion was successful; otherwise null
  See Also:
    `Transfer.nativeToJava(org.eclipse.swt.dnd.TransferData)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.